﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Dm;

namespace provider_bind
{
    class bind
    {
        static void Main(string[] args)
        {
            try
            {
                DmConnection conn = new DmConnection();
                conn.ConnectionString = "Server=192.168.117.194:5237; UserId=SYSDBA; PWD=dameng123;";
                conn.Open();

                //清理测试环境
                DmCommand cmd = new DmCommand();
                cmd.Connection = conn;
                cmd.CommandText = "delete from PRODUCTION.PRODUCT_CATEGORY";
                cmd.ExecuteNonQuery();

                //插入数据
                cmd.CommandText = "insert into PRODUCTION.PRODUCT_CATEGORY(name) values(:s_name)";
                var para1 = new DmParameter(":s_name", DmDbType.VarChar, 50);
                cmd.Parameters.Add(para1);
                para1.Value = "物理";
                cmd.ExecuteNonQuery();
                Console.WriteLine("dmprovider: insert with bind success!");

                //查询数据
                cmd.Parameters.Clear();
                cmd.CommandText = "select name from PRODUCTION.PRODUCT_CATEGORY";
                DmDataReader reader = (DmDataReader)cmd.ExecuteReader();
                while (reader.Read())
                {
                    string name = reader.GetString(0);
                    Console.WriteLine("name：" + name);
                }
                reader.Close();

                conn.Close();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}