﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Dm;

namespace provider_dml
{
    class dml
    {
        static void Main(string[] args)
        {
            try
            {
                DmConnection conn = new DmConnection();
                conn.ConnectionString = "Server=192.168.117.194:5237; UserId=SYSDBA; PWD=dameng123;";
                conn.Open();

                //清理测试环境
                DmCommand cmd = new DmCommand();
                cmd.Connection = conn;
                cmd.CommandText = "delete from PRODUCTION.PRODUCT_CATEGORY";
                cmd.ExecuteNonQuery();

                //插入数据
                cmd.CommandText = "insert into PRODUCTION.PRODUCT_CATEGORY(NAME) values('语文'), ('数学'), ('英语'), ('体育')";
                cmd.ExecuteNonQuery();
                Console.WriteLine("dmprovider: insert success!");

                //更新数据
                cmd.CommandText = "delete from PRODUCTION.PRODUCT_CATEGORY where name='数学'";
                cmd.ExecuteNonQuery();
                Console.WriteLine("dmprovider: update success!");

                //删除数据
                cmd.CommandText = "update PRODUCTION.PRODUCT_CATEGORY set name = '英语-新课标' where name='英语'";
                cmd.ExecuteNonQuery();
                Console.WriteLine("dmprovider: delete success!");

                //查询数据
                cmd.CommandText = "select name from PRODUCTION.PRODUCT_CATEGORY";
                DmDataReader reader = (DmDataReader)cmd.ExecuteReader();
                while (reader.Read())
                {
                    string name = reader.GetString(0);
                    Console.WriteLine("name：" + name);
                }
                reader.Close();
                Console.WriteLine("dmprovider: select success!");

                conn.Close();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}