﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Dm;

namespace provider_lob
{
    class lob
    {
        static void Main(string[] args)
        {
            try
            {
                DmConnection conn = new DmConnection();
                conn.ConnectionString = "Server=192.168.117.194:5237; UserId=SYSDBA; PWD=dameng123;";
                conn.Open();

                //清理测试环境
                DmCommand cmd = new DmCommand();
                cmd.Connection = conn;
                cmd.CommandText = "drop table if exists PRODUCTION.BIG_DATA";
                cmd.ExecuteNonQuery();
                cmd.CommandText = "create table PRODUCTION.BIG_DATA(c1 int, c2 blob)";
                cmd.ExecuteNonQuery();

                // 读取文件数据，写入 lob 列
                FileInfo fi = new FileInfo(@"..\..\file\DM8_SQL.pdf");
                FileStream fs = fi.OpenRead();
                int nBytes = (int)fs.Length;
                byte[] dataArray = new byte[nBytes];
                fs.Read(dataArray, 0, nBytes);
                fs.Close();

                cmd.CommandText = "insert into PRODUCTION.BIG_DATA values(1, :blob)";
                DmParameter param1 = new DmParameter(":blob", DmDbType.Binary);
                cmd.Parameters.Add(param1);
                param1.Value = dataArray;
                cmd.ExecuteNonQuery();
                Console.WriteLine("dmprovider: write to col of lob success!");

                //读取 lob 列数据，写入到文件中
                DmBlob buffer;
                cmd.Parameters.Clear();
                cmd.CommandText = "select c2 from PRODUCTION.BIG_DATA";
                DmDataReader reader = (DmDataReader)cmd.ExecuteReader();
                reader.Read();
                buffer = reader.GetBlob(0);
                int length = buffer.Length();

                FileStream fs1 = new FileStream(@"..\..\file\DM8_SQL1.pdf", FileMode.Create);
                fs1.Write(buffer.GetBytes(0, length), 0, length);
                fs1.Flush();
                fs1.Close();
                Console.WriteLine("dmprovider: get data from col of lob success!");

                reader.Close();



                conn.Close();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}
